Skip to main content
GET
/
api
/
dashboard
/
commitment-history
Commitment history
curl --request GET \
  --url https://api.example.com/api/dashboard/commitment-history \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 123,
      "memory_type": "<string>",
      "topic": "<string>",
      "content": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "project": "<string>",
      "scope": "<string>",
      "due_date": "2023-12-25",
      "resolved_at": "2023-11-07T05:31:56Z",
      "resolution_note": "<string>",
      "days_to_resolve": 123
    }
  ],
  "total": 123,
  "stats": {
    "resolved_this_week": 0,
    "resolved_this_month": 0,
    "avg_days_to_resolve": 123,
    "completion_rate_30d": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string> | null

Filter by commitment status (resolved, deferred, archived)

Available options:
resolved,
deferred,
archived
scope
enum<string> | null

Filter by scope (personal or work)

Available options:
personal,
work
project
string | null

Filter by project name

memory_type
enum<string> | null

Filter by memory type

Available options:
commitment,
decision,
blocker,
pattern,
preference,
context
limit
integer
default:50

Max items to return

Required range: 1 <= x <= 100
offset
integer
default:0

Offset for pagination

Required range: x >= 0

Response

Successful Response

Response for commitment history endpoint.

items
CommitmentHistoryItem · object[]
required
total
integer
required
stats
CommitmentHistoryStats · object
required

Aggregate stats for commitment history.